Desktop Lock Help

1. Desktop Lock.

  • Features.
  • Histories.
  • Business Edition/Common Version

2. Quit Start.

  • Lock.
  • Unlock.
  • Launch Virtual Screen.

3. Menus.

  • Lock Now.
  • Configure.
  • Virtual Screen.
  • Help.

4. Virtual Screen.

  • Launch Virtual Screen.
  • Configure Virtual Screen.

5. Buy now.

6. Support.

Copyright 2001-2004 TopLang software


Business

Business Edition and Common Version.

Desktop Lock currently released as two different editions: Business Edition and common version. the Business Edition included all the features of the common version, and provides several new features.

Some features of the software can only be used with Business Edition:

1. Lock keyboard and mouse only but not freeze the screen.

This is the one of the six lock modes of Desktop Lock, the feature let the Desktop Lock to lock only keyboard and mouse, don't freeze the screen, so you can still leave some video or flash files to be played on the screen during locking. This feature will be disabled with the common version.

2. Virtual Screen.

The "Virtual Screen" will launch a virutal desktop and show only the programs you specified on the virtual desktop, to allow uses to only run these programs. The virtual screen can only be configured under the Business Edition. it will be only an DEMO under the common version or the trial version. However, You still will be allowed to configure it under the common version or trial version, but the programs you specified will not be saved to the configuration. so it will always list the one and only program on the virtual screen: "Notepad", for the DEMO purpose.

If you need these features, you should purchase a license for the Business Edition. If you have purchased the license for the common version and now want to purchase a license for Business Edition, you can ask for discounts from us by send a email to support@toplang.com , and include your order information.

If you purchased the site license of Desktop Lock, you will be sent the FULL version of Business Edition.

For more information about how to purchase the software, click here please.


Quick Start

Quick Start

Lock.

After you installed the Desktop Lock, you can lock the system in several ways:

1. By using the "Lock Now" icon in the main interface of Desktop Lock.

You just need to launch the Desktop Lock software, then click at the "Lock Now" icon, the system will then be locked.

2. By using the hotkey.

You can also lock the system directly by using the Global hotkey, the default hotkey is "Ctrl+Alt+F11", you can press the hotkey anywhere, even needn't to launch the main interface of the Desktop Lock. after you pressed the hotkey, the system will then be locked.

3. By using AutoLock features.

You can also set the software to automatically lock your system at Windows restarted, or at any specified time, or when the system become idle. you must enable these features in the "Configure"--"Advanced" page. because by default these features are disabled.

Unlock.

After the system has been locked, if you want to unlock it, you should press the correct hotkey, the default hotkey is "HOTKEY", you press these 6 characters by using your keyboard, the system then will be automatically unlocked.

You also can change the unlock hotkey, or set the unlock mode as mouse actions etc. The Desktop Lock supports to unlock the system by using keyboard or mouse.

Launch Virtual Screen.

You can launch the Virtual Screen by clicking at the icon "Launch Virtual Screen" in the main interface of the software, or choosing the "Launch Virtual Screen" in the main menu.

You also can start the virtual screen by choose the "Virtual Screen" in the program group of the Desktop Lock software: choose "Start"--"Programs"--"Desktop Lock"--"Virtual Screen".


Features

Features.

1. Supports Windows 2000/XP/NT as well as Windows 98/ME.

As you know, most of the block-accessing software can only be used under Windows 98/ME, But the Desktop Lock can safely lock the system under any Win32 system since Windows 95. During the system being locked, none can access the system, none can force the software to be terminated by using the "Task Manager" under Windows 2000/XP/NT and Windows 98/ME.

2. Automatically lock the computer if the system become idle.

The Desktop Lock can automatically lock the system, if it detected that the system become idle for a period of time. (This feature need you to enable it in the settings.)

3. Keep locking if the computer re-booted without unlocked successfully.

Someone may force your computer to be restarted by taking your computer power off and power on again, during the system being locked. the the software can detect this and automatically keep locking after the system restarted.

4. Password will be encrypted.

All password that be used with the software, such as Unlock Password, Main password and the virtual Screen password, will be encrypted.

5. Automatically lock the system at system booting, automatically lock the system at any specific time.

6. Supports to run a specify program during locking.

You can let the software to run a specific program after it locked the system. then the users can only access this program, the running program will not be able to be closed or moved.

7. Support to lock only the keyboard and mose.

Generally, after locked the system, the software will freeze the desktop. But if you use this feature to let it lock only the keyboard and mouse, then the desktop (Screen) will not be freezed. so you can still leave any video or PowePoint file or Flash file to be played on the screen. (This feature is only for Business Edition).

8. Supports to Play media file during locking.

Desktop Lock supports to play any video or audio file during locking. the media file can be any type that the Media Player supports. such as MP3 file, MIDI file, AVI file etc. if you let the software to play a video file, then it will play the vedio on the locked screen.

9. Support to lock the system by using hotkey.

You can let the software to lock the system immediately by pressing the correct hotkey. the hotkey can be any hotkey that the system supported and will not conflict with the system hotkey.

10. Show the banner during locking.

The software can show a banner during the system locking. the banner will moved as the settings you have specified.

11. Supports to be unlocked by hotkey or mouse action.

You can configure the software how to unlock the locked system: by using hotkey, or mouse action such as left-click, right-click etc, or when the mouse moved.

12. Virtual Screen.

The software also provides a great tool called "Virtual Screen", the tool can launch a virtual desktop, then show only the specific programs on the desktop, users can only use the specific programs with the virtual screen.

13. Allow visitors to leave message during locking.

You can enable this feature to allow any visitor to leave message to you during your system being locked.

More...

Histories.

Version 6.0: A brand-new version, fully rebuilt each module of the software, added many new features and improved most of the existed features.(02/03/2004)

Version 5.6: Now can play the music during locking. and More...(11/14/2003)

Version 5.5: Fully rewrote codes, fixed some bugs, added some new features. see more information above.(04/29/2003)

Version 5.0: Rewrote the codes to make the new version fully supports Windows2000/XP, now the version 5.0 of Desktop Lock can safely lock the system under any Windows version. Also fixed a BUG for "start system screen saver after locked".(02/16/2003)

Version 4.30: Fixed some BUGs; When you want to specify a system time to allow Desktop Lock to auto lock your desktop in this time, the time will not be specified correctly. because we used HH:MM format to specify a time, but most of Windows system used the HH:MM:AM (or PM) format to specify a time. now we fixed it. The "auto start system screensaver" option can not be invoked correctly in Windows98/ME in older version, now we also fixed it. Finally, rebuild the help document.(06/22/2002)

Version 4.20: Added new locked-desktop-effect: auto start system screen saver. Now can be used in WindowNT/2000 to lock your desktop correctly, none can termimate or unlock without password if you have locked your system. The passwords (included user password and unlock password) now will be encrypted to prevent others to pick it by some hack-tools.(3/16/2002)

Version 4.10: Fixed a major BUG, in some system if you launch this software, maybe you can not shut down your computer correctly; Rewrote the codes to allow used in WindowsNT/2000 system correctly.(2/28/2002)

Version 4.0: Fixed some bugs and provided new interface, now can be used in WindowsNT/2000/XP system. But must lock system twice to correctly locked OK.(2/27/2002)

Version 3.10: Added new feature:Hided from task manager by press Ctrl+Alt+Del in WIndows9X/ME, so can not be terminated forcibly at any time.(2/20/2002)

Version 3.0: New interface, added a new feature: auto disable AUTORUN feature of system, automatically prevent others software from launched when locked desktop.(2/2/2002)

Version 2.10: Fixed bugs and included a major friendly help document.


Menus

Menus

Desktop Lock uses the HTML style interface, you can click "Back" button to back to previous step, or click the link on the top of each page to go to the relevant page. for example: if you clicked the "Configure", then you will be entered to the "Settings" page, you can click "Back" to back to the previous page. if you then clicked the "Display" icon, you will be entered to the "Display Settings" page. if you click "Back", you will back to the "Settings" page. if you click the "Desktop Lock" Link directly, you will back to the first page directly.

You can also use the main menu to go to the correct page, all these links can also be found in the main menu.

1. Lock Now.

Lock the system immediately. you can also use the lockl hotkey to lock the system.

2. Configure.

  • Lock Settings.
  • Unlock Settings.
  • Display Settings.
  • Advanced Settings.

3. Virtual Screen.

  • Launch Virtual Screen.
  • Configure Virtual Screen.

4. Help.

Show the help document.


virtual Screen

Virtual Screen

The "Virtual Screen" tool will launch a virtual desktop and show only the programs you specified to allow users to use these programs only. The appearance of the virtual Screen depends on the OS it currently running on, and the appearance of current desktop. For example, if you are using the WindowsXP system, the virtual Screen will also launch a WinXP style virtual desktop; if the system taskbar is on the right corner of the desktop, the virtual Screen also will show its taskbar on the right of the desktop.

NOTE: Virtual Screen will only be configurable under the Business Edition. this tool under the common version and trial version of Desktop Lock is only for DEMO purpose, you can not specify the programs you want the software to list, it will always show the only and one program "NotePad" for DEMO purpose only.

If you think the "Virtual Screen" is useful to you, you need to purchase a license for Desktop Lock Business Edition. please click here for more information.

Launch Virtual Screen.

You can launch the Virtual Screen by choosing the menu item "Launch Virtual Screen" in the "Virtual Screen" menu of the main interface, or launch the virtual screen by choosing "Start"--"Programs"--"Desktop Lock"--"Virtual Screen".

Configure Virtual Screen.

Programs tab:

You can specify the programs that will be listed on the virtual desktop, you can click "Add" button to add a program, or "Remove" button to remove a program from the list. For each added program, it need you specify its Name and its path to its executable file. for example, the demo item "NotePad": its name is "NotePad" and its path is "C:\Windows\NotePad.exe". You needn't specify a icon to the program, it will automatically get the default icon for the program.

Settings tab:

You can configure several settings for the Virtual Screen:

1. Password: The password will be asked when users want to quit the virtual desktop by choosing the "Quit Virtual Screen" on the virtual screen. if you don't set a password to it, or leave the password blank, then it will not ask for password when users want to quit the virtual screen.

2. What to do with the running programs: During the virtual screen running, users will open the programs you specified, then if you want to quit the virtual screen, what do you want the virtual screen do with these opened programs:

  • Send the CLOSE command to the programs only: Only will try to close the programs, it then will quit the virtual screen, whether the programs have been closed or not.
  • Force Running programs to be terminated: The virtual screen will force all programs to be terminated, the programs have no chance to be asked for save the data before terminated.
  • Try to close all programs and all programs must be closed before quit: If you selected this option, then the virtual screen will send the CLOSE command to all programs as the first option, but it will not quit if it detect any running program still is running after sent the CLOSE command. you must close all the programs then you can quit the virtual screen.
  • Do nothing: Do nothing with the running program, only quit the virtual screen directly.

3. Sleep Time: The sleep time is in milliseconds. The virtual screen will hide all opened windows before it start, but sometimes, it will not wait for all windows successfully hidden, so the virtual desktop will also show some of these windows. you should specify a value here to fix this problem, the 500 is recommended, but you can set it to be 1000 or 3000, you also can set it to be 0 if the problem will not occur.

4. Allow to shut down computer under Virtual Screen: If enabled, then users can choose the "Shut Down Computer" to shut down the computer, if this menu item will be disabled.

5. Start Virtual Screen automatically after computer booted: If enabled, The virtual screen will be automatically launched after your computer booted. NOTE: please don't use this option with the "Automatically Lock computer at computer booted" option of the Desktop Lock advanced settings. if you want the virtual screen to be automatically started after computer booted, please don't use that option in the Desktop Lock Advanced Settings.


Support

Support

Web site: http://www.toplang.com

Support: support@toplang.com

Sales: sales@toplang.com

Please send your suggestions and BUG report etc to support@toplang.com, if you want to purchase multi-license and want more discounts, please also send us an email. if you are the registered user of Desktop Lock common version, and now want to purchase the Business Edition, please send us an email and include the information of your order, then we can offer discounts to you.

Buy Now

You can only use the trial version of the Desktop Lock for evaluation purpose within 15 days, if you think the software is useful to you, Please visit our web site http://www.toplang.com/purchase.htm to start your order, or:

http://www.toplang.com/desktoplock.htm for common version.

http://www.toplang.com/desktoplockb.htm for Business Edition.

Please note: If you want to use the "Virtual Screen" tool, you should purchase the Business Edition.


Settings

Settings

Lock Settings.

Lock Mode:

Desktop Lock provides 6 Lock modes to allow you to customize the screen and system appearance during locking:

1. Lock current desktop without any change: It will lock the system directly, keep all opened windows on the locked desktop.

2. Lock current desktop, hide all opened windows: It will hide all the opened windows, only show a "clean" desktop, then lock the system.

3. Lock the desktop, and clear all contents on the screen: Clear the screen. if you have specified the backgrund picture, it will show the background picture.

4. Lock currrent desktop and run a program: You must specify a program to let the Desktop Lock to automatically launch it if you selected this option. the Desktop Lock will first lock the system then run the specific program. please note, it will not allow users to close the program or use any menu item during locking.

5. Lock current desktop and run the system screensaver: Lock the system, and then launch the screensaver, the screensaver must has been specified for your system, it use the default screensaver during locking, if you have not specified a screensaver, it will not start any screensaver.

6. Lock keyboard and mouse only, don't freeze screen: Lock only the keyboard and mouse, then you can still leave some flash or video files played on the screen, but users can not control these files because the keyboard and mouse has been locked.

NOTE: All these options will not affect the real system, Your real desktop will be restored to its original state after unlocked.

Lock Hotkey:

The Lock hotkey is a standard Windows hotkey, you can use this hotkey key to lock the system directly, note the hotkey is global hotkey, you can always use it even you closed the Desktop Lock. please make sure the hotkey you specified will not conflict with the existed hotkeys. You can also clear the hotkey here to disable this hotkey.

Unlock Settings.

Unlock Mode:

You can unlock the locked desktop with hotkey or one of the mouse actions.

1. Unlock by hotkey. If you selected this option, then you should specify a hotkey for unlocking in the input box. the hotkey can not be blank(empty), and is case insensitive. after the desktop has been locked, you must press the correct hotkey to unlock the system. The "Ctrl" and "Alt" check boxes let you specify the additional function keys.

2. Unlock by Mouse action: If you selected this option, then you need to select a mouse action from the list box, such as "Left button click", "Right button click" or "Both left and right button down and up". then specify the repeat times. note the repeat times must be greater than 0. for example: if you selected the "right button click" and specify the repeat time as 4, then during locking, if you right-click on anywhere repeatedly for 4 times, the system will then be unlocked.

3. Unlock when mouse moved: this option is more like the behavior of the screen saver, after locked, when you move the mouse, then the system will be unlocked.

Unlock Password:

This is a important password for the software. by default the password will not be set, so there are no unlock password. When the system locked, if you pressed the correct hotkey or did the correct mouse action, then the system will be unlocked directly. If you set a password here, then it will first pop up a dialog box to ask for the password after you pressed the correct hotkey or did the correct mouse action. You then must input the correct password to actually unlock the system.

Display Settings.

Display Settings provides many options to allow you to customize the locked desktop.

Background Picture

You can specify a picture to be shown as the background when the system being locked. please note: the picture can only be shown with the "Lock the desktop, and clear all contents on the screen" and "Lock the desktop, but hide all opened windows" Lock modes. the picture will not be shown with any of other lock modes.

You can also specify the background color when you use the lock mode "Clear all contents on the screen". the background color will not be used if you specified the background picture.

The background picture can be shown by using one of the follow display modes: Stretch, Center or Tile, this option is more like the background picture of the desktop.

Background Media

You can specify the background media file to let the Desktop Lock to automatically play the media file during system being locked. the background media file can be any type that the Windows' Media Player supported, such as MP3, MIDI, AVI etc. please note: The background media will always be played if possible, this is, if it is an audio file, then it will be played with any one of the 6 lock modes. BUT if it is a video file, then it can not be played if you use some of the 6 Lock modes. you should test if it can be played in a specific lock mode.

Also play use the "Media Preview" area to test if the file will be supported by Desktop Lock.

Banner

Desktop Lock will show an banner on the locked desktop, the banner will always be shown with any one of the 6 Lock modes. if you needn't such a banner, you should clear the contents of the banner text, then it will show the banner during locking.

You can set the banner rolling mode and the color, font and size of the banner here.

Paint Brush

The Desktop Lock will allow you to paint on the locked screen by using the paint brush, you can set the brush here. Please note: not all lock modes will allow you to paint on the screen, if you don't select the "Always can paint if possible", you can only paint on the screen with the Lock mode "Clear the contents on the screen". if you selected this option, then You can paint on the screen with all the lock modes, except the last lock mode "Lock keyboard and mouse only".

Advanced Settings.

All the options in the Advanced settings will be disabled by default, you can use one or more of these options if you want advanced use of Desktop Lock.

1. Automatically Lock the system after computer booted.

Select this option to let Desktop Lock to automatically lock the system when your computer booted.

2. Keep locking if rebooted without unlocked successfully.

If you selected this option, then if anyone force your computer to be restarted without unlocked successfully, the Desktop Lock will automatically keep locking the system after restarted. this option is not same to above one, it will take effect eitheryou selected above option or not.

3. Allows visitors to leave message during locking.

If you selected this option, then the Desktop Lock will show an additional window to allow visitors to leave messages to you during locking. please note this option will not take effect with the lock mode "Lock only keyboard and mouse".

4. Automatically Lock computer at specify time.

You must specify the time you want the software to automatically lock your system if you selected this option. NOTE: only the hours and minutes will take effect, the seconds will not be used.

5. Automatically lock computer if system become idle.

You must specify a value to let the software to automatically lock your system if your system become idle for the specified period of time (In minutes). Desktop Lock will monitor your system, and if it found there have no any mouse and keyboard input for the period of time, then it will automatically lock your system.

6. Main Password.

This password will be used for entering the main interface of Desktop Lock, and, for uninstalling the software. if you didn't set the password, then anyone can enter the software and change the settings, anyone can uninstall the software. If you set a password here, then users must input the correct password in order to enter the main interface. and he will also be asked for password if anyone want to uninstall the software.

Copyright 2001-2004 TopLang software